be.ehealth.business.intrahubcommons.exception

## Enum IntraHubBusinessConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<IntraHubBusinessConnectorExceptionValues>
  - - be.ehealth.business.intrahubcommons.exception.IntraHubBusinessConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<IntraHubBusinessConnectorExceptionValues>

      public enum IntraHubBusinessConnectorExceptionValues
      extends Enum<IntraHubBusinessConnectorExceptionValues>

  Enumeration of values for `IntraHubBusinessConnectorException`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Property not defined : {0}
    `MALFORMED_XML` Malformed XML
    `PROPERTY_UNKNOWN` Property not defined : {0}
    `VALIDATION_ERROR` Could not validate incoming message: {0}

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static IntraHubBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IntraHubBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MALFORMED_XML

          public static final IntraHubBusinessConnectorExceptionValues MALFORMED_XML

      Malformed XML

    - #### VALIDATION_ERROR

          public static final IntraHubBusinessConnectorExceptionValues VALIDATION_ERROR

      Could not validate incoming message: {0}

    - #### PROPERTY_UNKNOWN

          public static final IntraHubBusinessConnectorExceptionValues PROPERTY_UNKNOWN

      Property not defined : {0}

    - #### ERROR

          public static final IntraHubBusinessConnectorExceptionValues ERROR

      Property not defined : {0}

  - ### Method Detail

    - #### values

          public static IntraHubBusinessConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntraHubBusinessConnectorExceptionValues c : IntraHubBusinessConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntraHubBusinessConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the errorMessage

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.